import { connect, Dispatch } from 'react-redux';
import {
  SensorDetail,
  SensorDetailStateProps,
  SensorDetailDispatchProps,
} from './components/SensorDetail';
import State from '../redux/state/ReadAllByTarget';

import * as ReadAllByTargetActions from '../redux/action/read_all_by_target';
import Target from '@overflow/target/api/model/Target';
import Sensor from '@overflow/sensor/api/model/Sensor';

export function mapStateToProps(state: any): SensorDetailStateProps {
  return {
  };
}

export function mapDispatchToProps(dispatch: Dispatch<any>): SensorDetailDispatchProps {
  return {
    onReadAllByTarget: (target: Target) => {
      dispatch(ReadAllByTargetActions.request(target));
    },
  };
}


export default connect(mapStateToProps, mapDispatchToProps)(SensorDetail);
